include	clib.inc
include	dos.inc

PPROC	wgetcrdate, path:DPTR
	push	si
	push	di
	MPUSH	ds
	MLDS	dx,path
	stc
	mov	ax,7143h
	mov	bl,8
	int	21h
	MPOP	ds
	jc	wgetcrdate_error
	mov	ax,cx
	mov	dx,di
    wgetcrdate_toend:
	pop	di
	pop	si
	ret
    wgetcrdate_error:
	call	@dosmaper
	mov	ax,-1
	mov	dx,ax
	jmp	wgetcrdate_toend
PEND	wgetcrdate

	END
